%global momorel 1

Summary: Run real-mode video BIOS code to alter hardware state
Name: vbetool
Version: 1.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.codon.org.uk/~mjg59/vbetool/
Group: System Environment/Base
Source0: http://www.codon.org.uk/~mjg59/vbetool/download/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pciutils-devel
BuildRequires: zlib-devel
BuildRequires: libx86-devel
ExcludeArch: ppc ppc64

%description
vbetool uses lrmi in order to run code from the video BIOS. Currently, it is
able to alter DPMS states, save/restore video card state and attempt to
initialize the video card from scratch.

%prep
%setup -q

%build
%configure --with-x86emu

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/vbetool
%{_mandir}/man1/vbetool.1*

%changelog
* Wed May 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7-2m)
- rebuild against rpm-4.6

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- initial package for Momonga Linux
- split from pm-utils
